# File exists

A decision block that checks if a file or directory exists on external storage.

If the proceed option is set to Immediately, then check if the path does currently exist without pausing the fiber. If set to When changed, then the fiber will pause until the path has been created, or was deleted.

Note! Using proceed When changed may not work for “secondary” external storage (removable SD cards) on Android 4.4—11.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Path — path to check for existence.

## Output variables

- Type — variable to assign 1 for a file or 2 for a directory.
- Size — variable to assign the file size in bytes.
- Last modified — variable to assign the unix timestamp when the path was last modified.